package v3;

/**
 * Führt Zugriffsmethoden ein.
 */
public class Disko
{
  private int quadratmeter;    // Größe der Disko

  private int anzahlPersonen;  // Anzahl Personen in der Disko

  /**
   * Liefert die Anzahl Quadratmeter der Disko.
   * 
   * @return Quadratmeter.
   */
  public int getQuadratmeter()
  {
    return quadratmeter;
  }

  /**
   * Setzt die Anzahl Quadratmeter der Disko.
   * 
   * @param qm  Neue Größe in Quadratmetern.
   */
  public void setQuadratmeter( int qm )
  {
    if ( qm > 0 )
      quadratmeter = qm;
    else
      System.err.print( "Quadratmeter kann nicht <= 0 sein!" );
  }

  /**
   * Person kommt in die Disko.
   */
  public void personRein()
  {
    anzahlPersonen++;
  }

 /**
  * Person verlässt die Disko.
  */
 public void personRaus()
  {
    if ( anzahlPersonen > 0 )
      anzahlPersonen--;
  }

  /**
   * Liefert die Anzahl der Personen in der Disko.
   * 
   * @return Anzahl Personen.
   */
  public int getAnzahlPersonen()
  {
    return anzahlPersonen;
  }
}
